be.ehealth.businessconnector.therlink.exception

## Enum TherLinkBusinessConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<TherLinkBusinessConnectorExceptionValues>
  - - be.ehealth.businessconnector.therlink.exception.TherLinkBusinessConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<TherLinkBusinessConnectorExceptionValues>

      public enum TherLinkBusinessConnectorExceptionValues
      extends Enum<TherLinkBusinessConnectorExceptionValues>

  Exception values for `TherLinkBusinessConnectorException`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_CREATEPROOF` Error while creating proof :
    `ERROR_PROOF_VALIDATION` Error while validating signing proof : {0}
    `HCP_NOT_VALID` HcParty not valid : {0}
    `MALFORMED_XML` Malformed XML
    `MAXROWS_INCORRECT` MaxRows should be smaller than {0}
    `OBJECTBUILDER_INSTANCIATION_ERROR` Object builder could not be instanciated : {0}
    `PROPERTY_UNKNOWN` Property not defined : {0}
    `REQUIRED_FIELD_NULL` A required field is missing : {1}
    `SETTINGS_NOT_FOUND` Could not find the settings file : {0}
    `VALIDATION_ERROR` Could not validate incoming message: {0}

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static TherLinkBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TherLinkBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MALFORMED_XML

          public static final TherLinkBusinessConnectorExceptionValues MALFORMED_XML

      Malformed XML

    - #### VALIDATION_ERROR

          public static final TherLinkBusinessConnectorExceptionValues VALIDATION_ERROR

      Could not validate incoming message: {0}

    - #### PROPERTY_UNKNOWN

          public static final TherLinkBusinessConnectorExceptionValues PROPERTY_UNKNOWN

      Property not defined : {0}

    - #### OBJECTBUILDER_INSTANCIATION_ERROR

          public static final TherLinkBusinessConnectorExceptionValues OBJECTBUILDER_INSTANCIATION_ERROR

      Object builder could not be instanciated : {0}

    - #### REQUIRED_FIELD_NULL

          public static final TherLinkBusinessConnectorExceptionValues REQUIRED_FIELD_NULL

      A required field is missing : {1}

    - #### SETTINGS_NOT_FOUND

          public static final TherLinkBusinessConnectorExceptionValues SETTINGS_NOT_FOUND

      Could not find the settings file : {0}

    - #### HCP_NOT_VALID

          public static final TherLinkBusinessConnectorExceptionValues HCP_NOT_VALID

      HcParty not valid : {0}

    - #### MAXROWS_INCORRECT

          public static final TherLinkBusinessConnectorExceptionValues MAXROWS_INCORRECT

      MaxRows should be smaller than {0}

    - #### ERROR_CREATEPROOF

          public static final TherLinkBusinessConnectorExceptionValues ERROR_CREATEPROOF

      Error while creating proof :

    - #### ERROR_PROOF_VALIDATION

          public static final TherLinkBusinessConnectorExceptionValues ERROR_PROOF_VALIDATION

      Error while validating signing proof : {0}

  - ### Method Detail

    - #### values

          public static TherLinkBusinessConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TherLinkBusinessConnectorExceptionValues c : TherLinkBusinessConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TherLinkBusinessConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the errorCode

    - #### getMessage

          public String getMessage()

      Returns:
        the errorMessage

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.